package rocks.zipcode.io.quiz3.arrays;

import java.util.ArrayList;
import java.util.Arrays;

/**
 * @author leon on 09/12/2018.
 */
public class SquareArrayAnalyzer {
    public static Boolean compare(Integer[] input, Integer[] squaredValues) {
        ArrayList<Integer> inputArrayList = new ArrayList<>(input.length);
        ArrayList<Integer> squaredValuesArrayList = new ArrayList<>(squaredValues.length);

        inputArrayList.addAll(Arrays.asList(input));
        squaredValuesArrayList.addAll(Arrays.asList(squaredValues));

        for (Integer i : inputArrayList) {
            if (!squaredValuesArrayList.contains(i * i)) {
                return false;
            }
        }
        return true;
    }
}
